package faktorial;

import java.util.Scanner;

/**
 * 0! = 1 1! = 1 2! = 2*1 = 2 3! = 3*2*1 = 6 4! = 4*3*2*1 = 24 n! =
 * n*(n-1)*...*2*1
 *
 * @author lsroubov
 */
public class Faktorial {
    public static long vypocitejFaktorial(int cislo){
        long vysledek = 1;
        for(int i = cislo; i > 1; i--) { /* i-- odpovida i=i-1 */
            vysledek = vysledek * i;
        }
        return(vysledek);  // vraci vysledek typu int
    } 
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        System.out.println("Zadej cislo: ");
        int cislo = sc.nextInt();
        if ((cislo < 0)||(cislo > 20)) {
            System.out.println("Faktorial nepocitam.");
        } 
        else {
            System.out.format("Faktorial cisla %d je %d%n", cislo, vypocitejFaktorial(cislo));
        }
    }
}
